Docs
Get Drive File Link
GET /Drives/{driveId}/links/{linkId}/files/{fileId}
GET
/Drives/{driveId}/links/{linkId}/files/{fileId}Returns a file reachable through a public shared link, with all its versions and formats including time-limited download URIs, with no authentication. The linkId comes from the links on Drives_GetFile or Drives_GetFolder, and the file must be within the link's scope.
Path Parameters
| Field | Type | Required | Description |
|---|---|---|---|
| driveId | uuid | Required | |
| linkId | uuid | Required | |
| fileId | uuid | Required |
Response
| Field | Type | Description |
|---|---|---|
| id | uuid | |
| name | string| null | |
| description | string| null | |
| path | string| null | |
| status | string| null | |
| versions | GetDriveLinkFileResponseVersion[]| null |
GetDriveLinkFileResponseVersion
| Field | Type | Description |
|---|---|---|
| id | uuid | |
| versionTag | string| null | |
| createdDate | date-time | |
| formats | GetDriveLinkFileResponseVersionFormat[]| null |
GetDriveLinkFileResponseVersionFormat
| Field | Type | Description |
|---|---|---|
| id | uuid | |
| type | string| null | |
| size | integer | |
| uri | uri| null |